Page MenuHomePhabricator

Disable indexing user (sub)pages and drafts on Serbian Wikipedia
Closed, ResolvedPublic

Description

Hi, I think that Google and other search engines shouldn't index user (sub)pages and drafts on Serbian Wikipedia.

Per it, I started discussion on wiki, as for each configuration change it is needed.
Discussion: https://sr.wikipedia.org/wiki/Википедија:Трг/Техника#Онемогућавање_индексирања_корисничких_(под)страница_и_нацрта

Event Timeline

Kizule created this task.Mar 30 2020, 2:08 PM
Restricted Application added a project: User-Kizule. · View Herald TranscriptMar 30 2020, 2:08 PM
Restricted Application added subscribers: Petar.petkovic, Aklapper. · View Herald Transcript
Acamicamacaraca renamed this task from Disable indexing user (sub)pages on Serbian Wikipedia to Disable indexing user (sub)pages and drafts on Serbian Wikipedia.Mar 30 2020, 2:33 PM
Acamicamacaraca updated the task description. (Show Details)

Uhh, yes, and pages in draft namespace.

Change 584615 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] robots.txt: Disable indexing user (sub)pages and draft-related pages on srwiki

https://gerrit.wikimedia.org/r/584615

Kizule updated the task description. (Show Details)
Kizule moved this task from Backlog to To deploy on the Serbian-Sites board.
Kizule moved this task from Inbox to To deploy on the User-Kizule board.
Kizule added a subscriber: Urbanecm.

@Urbanecm Hello, should I schedule patch for SWAT?

I scheduled patch for European Mid-Day SWAT at Monday, April 13.

Change 584615 merged by jenkins-bot:
[operations/mediawiki-config@master] robots.txt: Disable indexing user (sub)pages and draft-related pages on srwiki

https://gerrit.wikimedia.org/r/584615

Mentioned in SAL (#wikimedia-operations) [2020-04-13T11:14:21Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: efe2feb: robots.txt: Disable indexing user (sub)pages and draft-related pages on srwiki (T248860) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-04-13T11:15:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: efe2feb: robots.txt: Disable indexing user (sub)pages and draft-related pages on srwiki (T248860; take II) (duration: 00m 58s)

Kizule closed this task as Resolved.Apr 13 2020, 11:15 AM

Done!